Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
agora::rtc::IScreenCaptureSource::VideoCaptureConfig Struct Reference

`#include <NGIAgoraExtensionScreenSource.h>`

## Public Types
enum class | CapturerMode { kUnspecified = 0 , kScreenCaptureKit = 10 , kCoreGraphic = 11 , kAVFoundation = 12 }
enum | CaptureType { CaptureWindow , CaptureScreen }

## Public Member Functions
| VideoCaptureConfig ()
| VideoCaptureConfig ()

## Public Attributes
agora::rtc::VideoDimensions | dimensions
int | frameRate
CaptureType | type
Rectangle | screen_rect
Rectangle | region_offset
int64_t | display_id
view_t | window_id
bool | window_focused
bool | disable_avf
bool | disable_frame_transparent_check
CapturerMode | capturerMode = CapturerMode::kUnspecified
bool | captureAudio = false
int | audio_channel_count = 2
int | audio_sample_rate = 48000
bool | excludeCurrentProcessAudio = true

## Member Enumeration Documentation

## ◆ CapturerMode

enum class agora::rtc::IScreenCaptureSource::VideoCaptureConfig::CapturerMode
| strong

Enumerator
kUnspecified |
kScreenCaptureKit |
kCoreGraphic |
kAVFoundation |

## ◆ CaptureType

enum agora::rtc::IScreenCaptureSource::VideoCaptureConfig::CaptureType

Enumerator
CaptureWindow |
CaptureScreen |

## Constructor & Destructor Documentation

## ◆ VideoCaptureConfig() [1/2]

agora::rtc::IScreenCaptureSource::VideoCaptureConfig::VideoCaptureConfig | ( |  | ) |
| inline

## ◆ VideoCaptureConfig() [2/2]

agora::rtc::IScreenCaptureSource::VideoCaptureConfig::VideoCaptureConfig | ( |  | ) |
| inline

## Member Data Documentation

## ◆ dimensions

agora::rtc::VideoDimensions agora::rtc::IScreenCaptureSource::VideoCaptureConfig::dimensions

## ◆ frameRate

int agora::rtc::IScreenCaptureSource::VideoCaptureConfig::frameRate

## ◆ type

CaptureType agora::rtc::IScreenCaptureSource::VideoCaptureConfig::type

## ◆ screen_rect

Rectangle agora::rtc::IScreenCaptureSource::VideoCaptureConfig::screen_rect

## ◆ region_offset

Rectangle agora::rtc::IScreenCaptureSource::VideoCaptureConfig::region_offset

## ◆ display_id

int64_t agora::rtc::IScreenCaptureSource::VideoCaptureConfig::display_id

## ◆ window_id

view_t agora::rtc::IScreenCaptureSource::VideoCaptureConfig::window_id

## ◆ window_focused

bool agora::rtc::IScreenCaptureSource::VideoCaptureConfig::window_focused

## ◆ disable_avf

bool agora::rtc::IScreenCaptureSource::VideoCaptureConfig::disable_avf

## ◆ disable_frame_transparent_check

bool agora::rtc::IScreenCaptureSource::VideoCaptureConfig::disable_frame_transparent_check

## ◆ capturerMode

CapturerMode agora::rtc::IScreenCaptureSource::VideoCaptureConfig::capturerMode = CapturerMode::kUnspecified

## ◆ captureAudio

bool agora::rtc::IScreenCaptureSource::VideoCaptureConfig::captureAudio = false

## ◆ audio_channel_count

int agora::rtc::IScreenCaptureSource::VideoCaptureConfig::audio_channel_count = 2

## ◆ audio_sample_rate

int agora::rtc::IScreenCaptureSource::VideoCaptureConfig::audio_sample_rate = 48000

## ◆ excludeCurrentProcessAudio

bool agora::rtc::IScreenCaptureSource::VideoCaptureConfig::excludeCurrentProcessAudio = true